Credits | Overview | Plotting Styles | Commands | Terminals
--- | --- | --- | --- | ---

## Batch/Interactive Operation

Gnuplot may be executed in either batch or interactive modes, and the two may even be mixed together.

Command-line arguments are assumed to be either program options or names of files containing gnuplot commands. Each file or command string will be executed in the order specified. The special filename "-" is indicates that commands are to be read from stdin. Gnuplot exits after the last file is processed. If no load files and no command strings are specified, gnuplot accepts interactive input from stdin.

Subtopics

- command line options

- Examples